Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.atom
Class Generator

    java.lang.Object
      com.sun.syndication.feed.atom.Generator

All Implemented Interfaces:
  Serializable, Cloneable

    public class Generator

extends Object
implements Cloneable, Serializable

Bean for the generator element of Atom feeds.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`Generator()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getUrl()` Returns the generator URL.
`String` | `getValue()` Returns the generator value.
`String` | `getVersion()` Returns the generator version.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setUrl(String url)` Sets the generator URL.
`void` | `setValue(String value)` Sets the generator value.
`void` | `setVersion(String version)` Sets the generator version.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Generator

    public Generator()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getUrl

    public String getUrl()

  Returns the generator URL.

  Returns:
    the generator URL, null if none.

### setUrl

    public void setUrl(String url)

  Sets the generator URL.

  Parameters:
    `url` - the generator URL, null if none.

### getVersion

    public String getVersion()

  Returns the generator version.

  Returns:
    the generator version, null if none.

### setVersion

    public void setVersion(String version)

  Sets the generator version.

  Parameters:
    `version` - the generator version, null if none.

### getValue

    public String getValue()

  Returns the generator value.

  Returns:
    the generator value, null if none.

### setValue

    public void setValue(String value)

  Sets the generator value.

  Parameters:
    `value` - the generator value, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.